delete-api-catalog-selection
curl --request DELETE \
--url https://api.notifly.tech/v1/projects/{projectId}/catalogs/{catalogName}/selections/{selectionName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.notifly.tech/v1/projects/{projectId}/catalogs/{catalogName}/selections/{selectionName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifly.tech/v1/projects/{projectId}/catalogs/{catalogName}/selections/{selectionName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": null,
"error": null
}{
"data": null,
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid bulk item request.",
"details": [
{
"field": "items[0].unknown_field",
"path": [
"items",
0,
"unknown_field"
],
"code": "invalid-fields",
"message": "Unrecognized field: unknown_field."
}
]
}
}{
"data": null,
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid bulk item request.",
"details": [
{
"field": "items[0].unknown_field",
"path": [
"items",
0,
"unknown_field"
],
"code": "invalid-fields",
"message": "Unrecognized field: unknown_field."
}
]
}
}{
"data": null,
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid bulk item request.",
"details": [
{
"field": "items[0].unknown_field",
"path": [
"items",
0,
"unknown_field"
],
"code": "invalid-fields",
"message": "Unrecognized field: unknown_field."
}
]
}
}{
"data": null,
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid bulk item request.",
"details": [
{
"field": "items[0].unknown_field",
"path": [
"items",
0,
"unknown_field"
],
"code": "invalid-fields",
"message": "Unrecognized field: unknown_field."
}
]
}
}{
"data": null,
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid bulk item request.",
"details": [
{
"field": "items[0].unknown_field",
"path": [
"items",
0,
"unknown_field"
],
"code": "invalid-fields",
"message": "Unrecognized field: unknown_field."
}
]
}
}{
"data": null,
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid bulk item request.",
"details": [
{
"field": "items[0].unknown_field",
"path": [
"items",
0,
"unknown_field"
],
"code": "invalid-fields",
"message": "Unrecognized field: unknown_field."
}
]
}
}{
"data": null,
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid bulk item request.",
"details": [
{
"field": "items[0].unknown_field",
"path": [
"items",
0,
"unknown_field"
],
"code": "invalid-fields",
"message": "Unrecognized field: unknown_field."
}
]
}
}셀렉션
카탈로그 셀렉션 삭제
이름으로 셀렉션을 삭제합니다.
DELETE
/
v1
/
projects
/
{projectId}
/
catalogs
/
{catalogName}
/
selections
/
{selectionName}
delete-api-catalog-selection
인증
POST /authenticate로 발급받은 인증 토큰을 Bearer 형식으로 전달합니다.
경로 매개변수
노티플라이 프로젝트 ID입니다.
Required string length:
32Pattern:
^[a-f0-9]{32}$카탈로그를 만들 때 지정한 고유한 이름입니다.
Maximum string length:
250Pattern:
^[A-Za-z0-9_-]+$삭제할 셀렉션 이름입니다.
Maximum string length:
250⌘I
